#!/bin/bash

set -eu

if ! [ -e "/app/data/nginx.conf" ]; then
    cp -a "/app/code/nginx.conf.default" "/app/data/nginx.conf"
fi

if ! [ -e "/app/data/page" ]; then
    cp -a "/app/code/page.default" "/app/data/page"
fi

chown -R cloudron:cloudron /app/data

/usr/sbin/php-fpm7.0 &
exec /usr/sbin/nginx -c /app/data/nginx.conf -g 'daemon off;'
